<?php

/*
 | --------------------------------------------------------------------
 | App Namespace
 | --------------------------------------------------------------------
 |
 | This defines the default Namespace that is used throughout
 | CodeIgniter to refer to the Application directory. Change
 | this constant to change the namespace that all application
 | classes should use.
 |
 | NOTE: changing this will require manually modifying the
 | existing namespaces of App\* namespaced-classes.
 */
defined('APP_NAMESPACE') || define('APP_NAMESPACE', 'App');

/*
 | --------------------------------------------------------------------------
 | Composer Path
 | --------------------------------------------------------------------------
 |
 | The path that Composer's autoload file is expected to live. By default,
 | the vendor folder is in the Root directory, but you can customize that here.
 */
defined('COMPOSER_PATH') || define('COMPOSER_PATH', ROOTPATH . 'vendor/autoload.php');

/*
 |--------------------------------------------------------------------------
 | Timing Constants
 |--------------------------------------------------------------------------
 |
 | Provide simple ways to work with the myriad of PHP functions that
 | require information to be in seconds.
 */
defined('SECOND') || define('SECOND', 1);
defined('MINUTE') || define('MINUTE', 60);
defined('HOUR')   || define('HOUR', 3600);
defined('DAY')    || define('DAY', 86400);
defined('WEEK')   || define('WEEK', 604800);
defined('MONTH')  || define('MONTH', 2592000);
defined('YEAR')   || define('YEAR', 31536000);
defined('DECADE') || define('DECADE', 315360000);

/*
 | --------------------------------------------------------------------------
 | Exit Status Codes
 | --------------------------------------------------------------------------
 |
 | Used to indicate the conditions under which the script is exit()ing.
 | While there is no universal standard for error codes, there are some
 | broad conventions.  Three such conventions are mentioned below, for
 | those who wish to make use of them.  The CodeIgniter defaults were
 | chosen for the least overlap with these conventions, while still
 | leaving room for others to be defined in future versions and user
 | applications.
 |
 | The three main conventions used for determining exit status codes
 | are as follows:
 |
 |    Standard C/C++ Library (stdlibc):
 |       http://www.gnu.org/software/libc/manual/html_node/Exit-Status.html
 |       (This link also contains other GNU-specific conventions)
 |    BSD sysexits.h:
 |       http://www.gsp.com/cgi-bin/man.cgi?section=3&topic=sysexits
 |    Bash scripting:
 |       http://tldp.org/LDP/abs/html/exitcodes.html
 |
 */
defined('EXIT_SUCCESS')        || define('EXIT_SUCCESS', 0); // no errors
defined('EXIT_ERROR')          || define('EXIT_ERROR', 1); // generic error
defined('EXIT_CONFIG')         || define('EXIT_CONFIG', 3); // configuration error
defined('EXIT_UNKNOWN_FILE')   || define('EXIT_UNKNOWN_FILE', 4); // file not found
defined('EXIT_UNKNOWN_CLASS')  || define('EXIT_UNKNOWN_CLASS', 5); // unknown class
defined('EXIT_UNKNOWN_METHOD') || define('EXIT_UNKNOWN_METHOD', 6); // unknown class member
defined('EXIT_USER_INPUT')     || define('EXIT_USER_INPUT', 7); // invalid user input
defined('EXIT_DATABASE')       || define('EXIT_DATABASE', 8); // database error
defined('EXIT__AUTO_MIN')      || define('EXIT__AUTO_MIN', 9); // lowest automatically-assigned error code
defined('EXIT__AUTO_MAX')      || define('EXIT__AUTO_MAX', 125); // highest automatically-assigned error code


define('SITE_NAME', 'Savvy');
    define('SITE_EMAIL', 'info@savvy.com');
    define('SITE_PHONE', '+1 911 9110');
    define('SITE_FAX', '+1 9FX 9110');

    define('PHP_API_OK', 0);
    define('MAX_ADMIN_SESSION', 1200);

    define('MOBIDELIV_UPLOADS', 4505);
    define('MOBIDELIV_DOWNLOAD', 4506);

    define('SAVVY_USER_CREATEACCOUNT', 22010);
    define('SAVVY_USER_PSERSONALITY', 22011);

    define('SAVVY_USER_RESETPASS', 22013);
    define('SAVVY_USER_LOGINACCOUNT', 22015);
    define('SAVVY_USER_TRACKLOCATION', 22020);
    define('SAVVY_USER_SAVECARDPAYMT', 22025);
    define('SAVVY_USER_GETCARDPMYLIST', 22030);
    define('SAVVY_USER_MANAGEPAYLIST', 22035);
    define('SAVVY_USER_LOADUSERPROFILE', 22040);
    define('SAVVY_USER_ENABLEFEATURE', 22042);

    define('SAVVY_USER_UPDATEUSERPROFILE', 22045);
    define('SAVVY_USER_TRANSPORTLIST', 22047);
    define('SAVVY_USER_TRANSPORTPROFILE', 22048);
    define('SAVVY_USER_SAVEBUDGET', 22049);

    define('SAVVY_USERSUSC_LOAD', 22051);
    define('SAVVY_USERSUSC_STATUS', 22052);
    define('SAVVY_USERSAPP_GETLIST', 22053);

    define('SAVVY_USER_GETSAVEDTRIPS', 22070);
    define('SAVVY_USER_SAVEUPDTTRIP', 22071);

    define('SAVVY_USER_REFRESHSESSION', 22997);

    define('SAVVY_USER_VERIFYSESSION', 22999);

    define('SAVVY_USERSAPP_SLIDECARD', 44054);
    define('SAVVY_USERSAPP_DEALSUB', 44056);

    define('SAVVY_USERSAPP_CARPOOL', 44057);

    define('SAVVY_USERSAPP_SURVEY', 44060);
    define('SAVVY_USERSAPP_POINTSDEATAIL', 44061);
    define('SAVVY_USERSAPP_LOADREDEEM', 44062);
    define('SAVVY_USERSAPP_REDEEMPPOINTS', 44064);

    define('SAVVY_USERSAPP_TRACKCARDCLICK', 44067);

    define('SAVVY_USERCARD_DASHCARD', 40100);
    define('SAVVY_USERSAVE_DASHCARD', 40110);
    define('SAVVY_USERLOAD_SAVEDCARDS', 40115);
    define('SAVVY_USERPROP_SETTINGSARRAY', 40007);

    define('SAVVY_CARPOOL_SUBSCRIBE', 60010);
    define('SAVVY_CARPOOL_STATUS', 60015);
    define('SAVVY_CARPOOL_TRACK', 60020);

//cards
    define('PHP_LOGIN_OK', 0);
    define('PHP_API_BAD_PARAM', -1);
    define('CARD_LOCATION_DEFAULT', 0);
    define('CARD_ADD_DENIED', 0);
    define('CARD_LOCATION_MAINFEED', 100);
    define('CARD_ADD_ALLOWED', 100);
    define('CARD_LOCATION_ACTIVITIES', 200);
